Subject: Re: [GSoC] Introduction and Project Discussion

From: Thomas Gummerer <[email-masked]>
Date: Sun, 20 Mar 2016 13:55:52 +0100

Hi,

On 03/19, Chirayu Desai wrote:
> Hi,
> 
> I am a first year computer engineering student from India, studying at
> the Silver Oak College of Engineering and Technology,
> I had already put part of this in "[PATCH/GSoC] pull: implement
> --[no-]autostash for usage when rebasing", but at that time I didn't
> notice that another student was already working on the same change,
> and I would like to apologise for that, it was totally unintentional.
> 
> I have since picked another microproject, "Make “git tag --contains
> <id>” less chatty if is invalid", and after looking at the code, it
> would have the same effect for any command with has a "--with" or
> "--contains" option, which currently are 'tag', 'branch', and
> 'for-each-ref'.
> 
> I have worked on OSS in the past (and am currently semi-active as
> well, working as a device maintainer with CyanogenMod, an android
> distribution)
> 
> I would like to work on "Git remote whitelist/blacklist". The current
> example on the ideas page [1] looks like something that wouldn't be
> too much trouble to implement. Still need to dig a bit more on that.
> 
> I also saw Thomas Gummerer's idea on the list [2], seems like a reflog
> on steroids?
> I still don't understand the entirety of that, so some clarity on that
> would be nice.
> It also seems a bit complex

I can't say much about the other projects you mentioned, but my
proposal is too complex for a GSoC project.  I wrote the idea down to
convince myself whether it would be okay or too complex for a GSoC
project, but came to the conclusion that it is too complex.  I just
posted it to the list since I had written it down anyway, in case
someone was interested.  Sorry for the confusion.

> Apart from this, I was also interested in the "git config --unset
> improvement" idea, as currently something as basic like
> `git config --global foo.bar 1 &&
>  git config --global --unset foo.bar`
> leaves a section [foo] in the config.
> I would like to try to solve this in some way without having to
> rewrite the parser, but if that can't be done easily then I'm open to
> doing it any other way as well.
> 
> So, to sum it up,
> I would like to work on "Git remote whitelist/blacklist", and if the
> mentors deem it to not take too much time / not be too hard of a task,
> I could also try to look at the configuration parser.
> 
> Thanks,
> Chirayu Desai
> 
> [1]: http://git.github.io/SoC-2016-Ideas/
> [2]: http://article.gmane.org/gmane.comp.version-control.git/286708
> --
> To unsubscribe from this list: send the line "unsubscribe git" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html

-- 
Thomas